import {
  select,
  csv,
  scaleLinear,
  extent,
  axisLeft,
  axisBottom,
  format
} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render=(data)=>{
const margin={top:20, right:20, bottom:20, left:20};
const innerWidth=width-margin.left-margin.right;
const innerHeight=height-margin.top-margin.bottom;

//now for the scales
const Xscale= scaleLinear()
.domain([0, data, d=>d.population])
.range([0, width])

console.log(Xscale.domain())
  
svg.append('g')
  
  
  

svg.append('rect')
.data(data)
.enter().append('rect')
.attr('width',300)
.attr('height',300)
}






csv('data.csv')
.then(function(data){
data.forEach(function(d){
d.population=+d.population*1000;
})  

});